Skip to main content
GET
/
v2
/
dflow
/
trades
Get Dflow Trades
curl --request GET \
  --url https://api.predexon.com/v2/dflow/trades \
  --header 'x-api-key: <api-key>'
{
  "trades": [
    {
      "signature": "<string>",
      "slot": 123,
      "timestamp": 123,
      "trade_type": "BUY_FILL",
      "owner_wallet": "<string>",
      "outcome_mint": "<string>",
      "input_amount": 123,
      "output_amount": 123,
      "trade_price": 123,
      "realized_pnl": 123,
      "fee_amount": 123,
      "market_ticker": "<string>",
      "title": "<string>",
      "side": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "count": 123,
    "has_more": true,
    "pagination_key": "<string>"
  }
}
Fetch trade history for a wallet on Dflow with market metadata.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
ConstraintValue
limit1–500 (default 100)

Authorizations

x-api-key
string
header
required

Query Parameters

wallet
string
required

Solana wallet address (base58-encoded, 32-44 chars)

market_ticker
string | null

Filter by market ticker

outcome_mint
string | null

Filter by outcome mint address

trade_type
enum<string> | null

Filter by trade type: BUY_FILL, SELL_FILL, or REDEEM Dflow trade type enum.

Available options:
BUY_FILL,
SELL_FILL,
REDEEM
start_time
integer | null

Unix timestamp (seconds) for start

end_time
integer | null

Unix timestamp (seconds) for end

limit
integer
default:100

Number of trades to return

Required range: 1 <= x <= 500
order
enum<string>
default:desc

Sort order: asc or desc

Available options:
asc,
desc
pagination_key
string | null

Pagination key for cursor-based pagination

Response

Successful Response

Dflow trades endpoint response.

trades
DflowTrade · object[]
required
pagination
CursorPagination · object
required

Cursor-based pagination for endpoints that don't support offset.